<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Work extends Model
{
    use HasFactory;

    protected $guarded = [];
 
    public function category()
    {
        # code...
        return $this->belongsTo(Category::class, 'category_id', 'id');
    }

    public function work_images()
    {
        return $this->hasMany(Work_image::class);
    }

}
